The JAVA SDK is deprecated

  • The OANDA v1 REST API will cease to function for your account as early as May 2018.
  • Please migrate your applications to use the v20 REST API. A Java wrapper is available in the sample code section.

Release Notes


To keep up to date with releases, feel free to sign-up to our Google Group

Version Date Compatibility Changes Details
2.7.1 November 20, 2015 Java SDK support dropped for versions lower than 2.7.0 Bug Fixes:
The ProxyVersion check now returns a MinVersionException if the proxy version can not be determined.
2.7.0 September 18, 2015 New proxy jar required to use new feature New Features:
Added 64bit transaction number support
2.6.3 August 31, 2015 Bug Fixes:
Fixed race condition that resulted in null pointer exception being thrown from getUnrealizedPL
2.6.0 February 13, 2015 New proxy jar required to use new feature New Features:
Tick volume information introduced to FXHistoryPoint and CandlePoint classes